#
# spec file for package scanlogd (Version 2.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  libnet libnids libpcap
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libnet libnids libpcap libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         scanlogd
Copyright:    Solar Designer
URL:          http://www.openwall.com/scanlogd/
Group:        Networking/Utilities
Provides:     scanlogd 
Autoreqprov:  on
Version:      2.2
Release:      114
Summary:      Detects and logs portscans
Source0:      http://www.openwall.com/scanlogd/%{name}-%{version}.tar.gz
Source1:      README
Source2:      rc.config.scanlogd
Source3:      rc.scanlogd
Patch:        scanlogd-%{version}.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-root

%description
This daemon is able to detect and log portscans aimed at its host.

Authors:
--------
    Solar Designer <solar@false.com>

SuSE series: sec

%prep
%setup
%patch

%build
make libnids

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 755 -o root -g root scanlogd $RPM_BUILD_ROOT/usr/sbin
install -m 644 -o root -g root scanlogd.8 $RPM_BUILD_ROOT%{_mandir}/man8
install -m 755 -o root -g root $RPM_SOURCE_DIR/rc.scanlogd $RPM_BUILD_ROOT/etc/init.d/scanlogd
ln -fs ../../etc/init.d/scanlogd $RPM_BUILD_ROOT/usr/sbin/rcscanlogd
install -m 644 $RPM_SOURCE_DIR/rc.config.scanlogd $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 $RPM_SOURCE_DIR/README $RPM_BUILD_ROOT%{_docdir}/%{name}

%post
sbin/insserv etc/init.d/scanlogd
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.scanlogd
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "/etc/rc.config and /var/adm/fillup-templates/rc.config.scanlogd and"
  echo "update by hand."
fi

%postun
sbin/insserv etc/init.d/

%files
%defattr(-, root, root)
%doc %{_mandir}/man8/scanlogd.8.gz
%doc %{_docdir}/%{name}
/etc/init.d/scanlogd
/usr/sbin/rcscanlogd
/usr/sbin/scanlogd
/var/adm/fillup-templates/rc.config.scanlogd

%changelog -n scanlogd
* Thu Apr 19 2001 - grimmer@suse.de
- Updated init file according to new skeleton
* Fri Dec 15 2000 - grimmer@suse.de
- init script fixes (added $remote_fs to Required-Start, removed
  run level 2 from Default-Start, added check if binary exists)
* Tue Nov 28 2000 - grimmer@suse.de
- fixed path names in insserv calls
* Tue Nov 28 2000 - grimmer@suse.de
- moved init script from /sbin/init.d to /etc/init.d for
  LSB conformance
- use system facility names ($network, $syslog) in init
  script now (according to LSB spec)
* Fri Nov 24 2000 - grimmer@suse.de
- added missing README to file list
* Thu Nov 23 2000 - grimmer@suse.de
- reworked init script to follow new init scheme
- revomed rc-files from patch and added them as additional sources
  instead
* Thu Nov 16 2000 - grimmer@suse.de
- Update to version 2.2, now using libnids
* Fri Mar 24 2000 - grimmer@suse.de
- update to version 2.0
- added BuildRoot
* Thu Feb 17 2000 - grimmer@suse.de
- use version macro in spec file
- use mandir macro in spec file
* Thu Dec 16 1999 - grimmer@suse.de
- changed START_SCANLOGD from "yes" to "no" by default
* Tue Dec 07 1999 - grimmer@suse.de
- added new version of manpage (includes corrections from
  Solar Designer)
- created new tarball
* Thu Dec 02 1999 - grimmer@suse.de
- added man page (thanks to Steffen Dettmer <steffen@dett.de>
  and Martin Stark <Martin.Stark@rz-online.de>
- created subdirectory and created new tar ball
- spec file changes (due to above changes)
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Mar 18 1999 - uli@suse.de
- new package, version 1.3
